automake-patches
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

FYI: ignore --no-force on branch-1-7


From: Alexandre Duret-Lutz
Subject: FYI: ignore --no-force on branch-1-7
Date: Mon, 25 Aug 2003 00:37:20 +0200
User-agent: Gnus/5.1003 (Gnus v5.10.3) Emacs/21.3 (gnu/linux)

Since 
  - the current --no-force implementation is bugged
  - the fix cannot be back-ported easily to branch-1-7
  - autoreconf uses --no-force by default

I'm installing the following patch on branch-1-7, to simply
ignore that option.

2003-08-25  Alexandre Duret-Lutz  <address@hidden>

        For Debian Bug #206299:
        * automake.in (parse_arguments): Ignore --no-force.
        * automake.texi (Invoking Automake): Document this.
        * tests/distcom6.test: New file.  Report from Scott James Remnant.
        * tests/Makefile.am (TESTS): Add distcom6.test.

Index: THANKS
===================================================================
RCS file: /cvs/automake/automake/THANKS,v
retrieving revision 1.186.2.32
diff -u -r1.186.2.32 THANKS
--- THANKS      31 Jul 2003 20:28:17 -0000      1.186.2.32
+++ THANKS      24 Aug 2003 22:28:30 -0000
@@ -197,6 +197,7 @@
 Ryan T. Sammartino     address@hidden
 Sam Hocevar            address@hidden
 Sander Niemeijer       address@hidden
+Scott James Remnant    address@hidden
 Sergey Vlasov          address@hidden
 Seth Alves             address@hidden
 Shuhei Amakawa         address@hidden
Index: automake.in
===================================================================
RCS file: /cvs/automake/automake/automake.in,v
retrieving revision 1.1365.2.53
diff -u -r1.1365.2.53 automake.in
--- automake.in 9 Aug 2003 22:34:46 -0000       1.1365.2.53
+++ automake.in 24 Aug 2003 22:28:35 -0000
@@ -1490,7 +1490,9 @@
      'foreign'                 => sub { &set_strictness ('foreign'); },
      'include-deps'    => sub { $cmdline_use_dependencies = 1; },
      'i|ignore-deps'   => sub { $cmdline_use_dependencies = 0; },
-     'no-force'        => sub { $force_generation = 0; },
+     # The current --no-force implementation is bugged, hence the
+     # option is ignored.  It will be fixed in Automake 1.8.
+     'no-force'        => sub { },
      'f|force-missing'  => \$force_missing,
      'o|output-dir:s'  => \$output_directory,
      'a|add-missing'   => \$add_missing,
Index: automake.texi
===================================================================
RCS file: /cvs/automake/automake/automake.texi,v
retrieving revision 1.305.2.31
diff -u -r1.305.2.31 automake.texi
--- automake.texi       31 Jul 2003 20:28:17 -0000      1.305.2.31
+++ automake.texi       24 Aug 2003 22:28:39 -0000
@@ -1019,6 +1019,9 @@
 @file{Makefile.in}s which are out of date with respect to one of their
 dependents.
 
+Due to a bug in its implementation, this option is currently ignored.
+It will be fixed in Automake 1.8.
+
 @item -o @var{dir}
 @itemx address@hidden
 @opindex -o
Index: tests/Makefile.am
===================================================================
RCS file: /cvs/automake/automake/tests/Makefile.am,v
retrieving revision 1.443.2.38
diff -u -r1.443.2.38 Makefile.am
--- tests/Makefile.am   9 Aug 2003 22:34:46 -0000       1.443.2.38
+++ tests/Makefile.am   24 Aug 2003 22:28:39 -0000
@@ -161,6 +161,7 @@
 distcom.test \
 distcom2.test \
 distcom3.test \
+distcom6.test \
 distdir.test \
 distname.test \
 dollar.test \
Index: tests/distcom6.test
===================================================================
RCS file: tests/distcom6.test
diff -N tests/distcom6.test
--- /dev/null   1 Jan 1970 00:00:00 -0000
+++ tests/distcom6.test 24 Aug 2003 22:28:39 -0000
@@ -0,0 +1,74 @@
+#! /bin/sh
+# Copyright (C) 2003  Free Software Foundation, Inc.
+#
+# This file is part of GNU Automake.
+#
+# GNU Automake is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# GNU Automake is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with Automake; see the file COPYING.  If not, write to
+# the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
+# Boston, MA 02111-1307, USA.
+
+# Test to make sure that depcomp and compile required in subdirectories
+# are added to the top-level DIST_COMMON even with --no-force.
+# This is similar to distcom2.test, but with --no-force added.
+# Report from Scott James Remnant (Debian #206299).
+
+. ./defs || exit 1
+
+set -e
+
+cat >> configure.in << 'END'
+AC_PROG_CC
+AC_CONFIG_FILES([subdir/Makefile])
+AC_OUTPUT
+END
+
+cat > Makefile.am << 'END'
+SUBDIRS = subdir
+END
+
+mkdir subdir
+: > subdir/foo.c
+
+cat > subdir/Makefile.am << 'END'
+noinst_PROGRAMS = foo
+foo_SOURCES = foo.c
+foo_CFLAGS = -DBAR
+END
+
+rm -f compile depcomp
+
+$ACLOCAL
+$AUTOCONF
+$AUTOMAKE --add-missing --no-force
+
+test -f compile
+test -f depcomp
+
+sed -n -e '/^DIST_COMMON =.*\\$/ {
+   :loop
+   p
+   n
+   /\\$/ b loop
+   p
+   n
+   }' -e '/^DIST_COMMON =/ p' Makefile.in | grep compile
+
+sed -n -e '/^DIST_COMMON =.*\\$/ {
+   :loop
+   p
+   n
+   /\\$/ b loop
+   p
+   n
+   }' -e '/^DIST_COMMON =/ p' Makefile.in | grep depcomp

-- 
Alexandre Duret-Lutz





reply via email to

[Prev in Thread] Current Thread [Next in Thread]